Bug 16125 - Regression: Can't add messages at checkout if no other messages are present
Summary: Regression: Can't add messages at checkout if no other messages are present
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: /cgi-bin/koha/circ/circulation.pl?bor...
Keywords:
Depends on: 15632
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-22 16:07 UTC by Owen Leonard
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16125: Remove the flagged boolean in circ/circulation.tt (4.41 KB, patch)
2016-03-23 16:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16125: Remove the flagged boolean in circ/circulation.tt (4.54 KB, patch)
2016-03-23 16:29 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16125: Remove the flagged boolean in circ/circulation.tt (4.61 KB, patch)
2016-03-23 21:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-22 16:07:30 UTC
The "Add a new message" link is no longer visible on the checkout screen if no other messages are present.

A sidebar on the right shows patron messages, if any, including hold waiting notices, outstanding fines, messages on their account, etc.

Before Bug 15632 that sidebar displayed all the time, even if no messages were present. This wasn't ideal, but at least it created a space for the "Add new message" link to appear.

Now that the sidebar is gone if there are no messages we need a place for the "Add new message" link. I think coming up with a new place for it is better than making it work like it did before.
Comment 1 Jonathan Druart 2016-03-23 16:08:33 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-23 16:29:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-23 21:23:12 UTC
Created attachment 49463 [details] [review]
[PASSED QA] Bug 16125: Remove the flagged boolean in circ/circulation.tt

Before 15632, flagged was passed in any cases: GetMessages returned an
arrayref, so:
  my $bor_messages_loop = GetMessages( $borrowernumber, 'B', $branch );
  if($bor_messages_loop){ $template->param(flagged => 1 ); }
set 'flagged'.

It seems that this variable is not needed as it's always set.

Test plan:
Confirm that the "Add a new message" link is always displayed (even if
no message exist).
Note that a "Attention" is displayed but should not, that already
existed before bug 15632.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-24 15:39:34 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-04-07 07:39:47 UTC
Not needed in 3.22.x, status changed to RESOLVED